Subject: Re: [PATCH net-next v5 05/22] ethtool: introduce ethtool netlink interface

From: Jiri Pirko <[email-masked]>
Date: Wed, 27 Mar 2019 10:26:02 +0100

Tue, Mar 26, 2019 at 06:32:15PM CET, [email-masked] wrote:
>On Tue, Mar 26, 2019 at 05:36:40PM +0100, Jiri Pirko wrote:
>> Mon, Mar 25, 2019 at 06:08:09PM CET, [email-masked] wrote:
>> >+/* genetlink setup */
>> >+
>> >+static const struct genl_ops ethtool_genl_ops[] = {
>> 
>> Please be consistent with prefixes. Either use "ethtool_" or "ethnl_"
>> for all functions and variables in this code.
>
>OK
>
>> >+/* module setup */
>> >+
>> >+static int __init ethnl_init(void)
>> >+{
>> >+	int ret;
>> >+
>> >+	ret = genl_register_family(&ethtool_genl_family);
>> >+	if (WARN(ret < 0, "ethtool: genetlink family registration failed"))
>> 
>> Why do you need this warning? Please avoid it.
>
>I'm confused now... few days ago you replied "+1" to the idea:
>
>  http://lkml.kernel.org/r/20190321162105.GU2087@nanopsycho
>
>I agreed that panic() (which is what e.g. rtnetlink does) would be an
>overkill but I would be definitely opposed to not having anything in the
>log at all and just silently going on without the interface (which may
>result in misconfigured network). I believe that if this fails, it is
>a sign of something going very wrong inside the kernel so that the "W"
>taint flag would be appropriate.

Okay. Fair. It's just that I looked over the code and did not find any
other genl_register_family() call with WARN.

>Michal